# Installation
> `npm install --save @types/react-copy-to-clipboard`

# Summary
This package contains type definitions for react-copy-to-clipboard (https://github.com/nkbt/react-copy-to-clipboard).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/react-copy-to-clipboard.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/react-copy-to-clipboard/index.d.ts)
````ts
// Type definitions for react-copy-to-clipboard 5.0
// Project: https://github.com/nkbt/react-copy-to-clipboard
// Definitions by: Meno Abels <https://github.com/mabels>
//                 Bernabe <https://github.com/BernabeFelix>
//                 Ward Delabastita <https://github.com/wdlb>
// Definitions: https://github.com/DefinitelyTyped/DefinitelyTyped

import * as React from 'react';

export as namespace CopyToClipboard;

declare class CopyToClipboard extends React.PureComponent<CopyToClipboard.Props> {}

declare namespace CopyToClipboard {
    class CopyToClipboard extends React.PureComponent<Props> {}

    interface Options {
        debug?: boolean | undefined;
        message?: string | undefined;
        format?: string | undefined; // MIME type
    }

    interface Props {
        text: string;
        onCopy?(text: string, result: boolean): void;
        options?: Options | undefined;
    }
}

export = CopyToClipboard;

````

### Additional Details
 * Last updated: Wed, 07 Jul 2021 17:33:38 GMT
 * Dependencies: [@types/react](https://npmjs.com/package/@types/react)
 * Global values: `CopyToClipboard`

# Credits
These definitions were written by [Meno Abels](https://github.com/mabels), [Bernabe](https://github.com/BernabeFelix), and [Ward Delabastita](https://github.com/wdlb).
